Subject: Re: [NSIS] Getting started on NSIS extensibilty draft
From: Elwyn Davies <[email-masked]>
To: Magnus Westerlund <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Feb 2009 18:14:21 +0000
List-Id: Next Steps in Signaling <nsis.ietf.org>

Hi, Magnus.

At the last IETF you offered to provide me some guidance on the way
forward with this document.

Since as I understand it, the IESG wants to see this document at the
same time as GIST this is urgent.

The only suggestion I have stemming from comments at the meeting is to
'separate the rules and guidelines.'

Any input gratefully received.
In the meantime I will try to make a 'null' update just to change the
title.

Regards,
Elwyn

Martin Stiemerling wrote:
> The new file name should basically read this way (copy'n'paste error):
> draft-ietf-nsis-ext-00.txt.
>
> Thanks to Hannes for pointing this
>
>  Martin
>
> [email-masked]
>
> NEC Laboratories Europe - Network Research Division
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 
>
>   
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>> Martin Stiemerling
>> Sent: Monday, January 26, 2009 3:05 PM
>> To: [email-masked]
>> Subject: [NSIS] Getting started on NSIS extensibilty draft
>>
>> Dear all,
>>
>> We have a draft to be completed urgently :)
>>
>> Using and Extending the NSIS Protocol Family
>> draft-nsis-ext-02.txt
>>
>> http://tools.ietf.org/html/draft-nsis-ext-02
>>
>>
>> First thing to do is changing the file name to draft-ietf-nsis-ext-
>> 02.txt.
>>
>> Please review it and send your comments.
>>
>>  Martin
>>
>>
>> [email-masked]
>>
>> NEC Laboratories Europe - Network Research Division
>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
>> London W3 6BL | Registered in England 2832014
>>
>> _______________________________________________
>> nsis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nsis
>>     
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
>
>   

From: [email-masked]
To: [email-masked]
Date: Thu,  5 Feb 2009 00:45:01 -0800 (PST)
Cc: [email-masked]
Subject: [NSIS] I-D Action:draft-ietf-nsis-ext-00.txt

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Next Steps in Signaling Working Group of the IETF.

	Title           : Using and Extending the NSIS Protocol Family
	Author(s)       : J. Manner, et al.
	Filename        : draft-ietf-nsis-ext-00.txt
	Pages           : 23
	Date            : 2009-02-04

This document gives an overview of the Next Steps in Signaling (NSIS)
framework and protocol suite created by the NSIS working group during
the period 2001-2008 together with suggestions on how the industry
can make use of the new protocols, and how the community can exploit
the extensibility of both the framework and existing protocols to
address future signaling needs.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-nsis-ext-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Message/External-body;
	name="draft-ietf-nsis-ext-00.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--NextPart--

Content-class: urn:content-classes:message
Date: Mon, 16 Feb 2009 10:07:09 +0100
From: "Martin Stiemerling" <[email-masked]>
To: <[email-masked]>
Subject: Re: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt

A friendly reminder to get your review done :)

For the authors: Please address the raised issues.

 Martin

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, =
London W3 6BL | Registered in England 2832014=20

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf =
Of
> Martin Stiemerling
> Sent: Monday, January 26, 2009 3:00 PM
> To: [email-masked]
> Subject: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt
>=20
> Dear all,
>=20
> We start the WGLC on
>=20
>        draft-ietf-nsis-ntlp-sctp-05.txt
>  General Internet Signaling Transport (GIST) over SCTP.
>=20
> The WGLC will run for three weeks to get time for all WG members to do
> a review of the draft.
>=20
> The draft is here:
> http://www.ietf.org/internet-drafts/draft-ietf-nsis-ntlp-sctp-05.txt
>=20
> The WGLC will end Feb 16th 10am CET.
>=20
>   Martin
>=20
> [email-masked]
>=20
> NEC Laboratories Europe - Network Research Division
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
> London W3 6BL | Registered in England 2832014
>=20
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis

Date: Mon, 16 Feb 2009 11:24:29 +0100
From: Xiaoming Fu <[email-masked]>
Organization: University of Goettingen, Germany
To: "McDonald, Andrew" <[email-masked]>
Cc: nsis <[email-masked]>
Subject: Re: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt

Hi Andrew,

Thanks for your very constructive hcomments. See my comments below:

McDonald, Andrew wrote:
> Martin Stiemerling wrote:
>> We start the WGLC on
>>        draft-ietf-nsis-ntlp-sctp-05.txt
>>  General Internet Signaling Transport (GIST) over SCTP. 
> 
> Mostly looks good. However, the definition of the use of DTLS for GIST 
> appears a bit weak. This is picked up in more detail below.
> 
> Comments:
> 
> The definition of SendMessage doesn't /exactly/ match the one in the 
> GIST draft, it would be better if it did (since it would avoid any 
> future questions about why it is slightly different).
> 
> The definition of NetworkNotification doesn't match the one in the GIST 
> draft, which includes NSLPID as the first parameter. I assume this is an 
> oversight (probably caused by a later change to the GIST draft).

We will readjust both, actually by removing the definition for both 
APIs. Rather, we would just add a note mentioning the slightly changed 
(e.g., Timeout) semantic.

> 
> A security considerations section normally just discusses the security 
> properties of the protocol, rather than actually defining new protocol 
> components. It might be better to have a "Use of DTLS with GIST" section 
> separate from the security considerations.

You're right. We could add a new separate section to clarify this in the 
new version.
> 
> On a similar topic, it might be better for the document to be renamed, 
> e.g. to "GIST over SCTP and DTLS" to flag up the fact that use of DTLS 
> with GIST is defined here. This is particularly relevant since DTLS 
> might be used with some transport other than SCTP in the future. The 
> introduction and overview sections also fail to mention that DTLS use is 
> being defined in this document.

Changing the title sounds good to me (and given DTLS part as additional 
feature/section).

> 
> The GIST document (section 5.7.3) says of TLS: "Support for this 
> protocol in conjunction with TCP is REQUIRED; ...". Should a similar 
> statement be made about SCTP/DTLS? i.e., if you are implementing SCTP 
> you MUST implement DTLS, or is the fact that TLS is already a MUST in 
> GIST enough to give you /a/ security solution even if not the best 
> solution?

DTLS: What about:
DTLS MUST be implemented and MAY be enabled in an SCTP implementation.

Concerning TLS: Due to the past discussions in the WG list and IETF 
meetings, it is agreeable for the WG not to take TLS as the secure 
version for GIST/SCTP, hence we choose to avoid mandating the use of TLS 
over SCTP/GIST.
Anyway, TLS is already mandatory to be implemented for GIST/TCP.

TLS: What about:
TLS MAY be used for securing GIST/SCTP when PR-SCTP is not used.

> It might be useful to explicitly say that "No MA-Protocol-Options are 
> required for DTLS."
Ok.
> 
> Recent GIST drafts added quite a bit of text (section 5.7.3) on the use 
> of TLS with regard to TLS versions, ciphersuites, authentication 
> mechanisms and identity checking. The definition of DTLS seems rather 
> thin in comparison. It is probably the case that some of the usage 
> instructions could be included for DTLS by references to the TLS section 
> of the GIST document.

Yes, will try to take some text/reference from TLS description from GIST 
spec.
> 
> It might be useful to note whether TLS (as already defined for GIST) 
> with SCTP is a valid option for an MA protocol stack. I guess it is, but 
> is less desirable for the reasons given in the dtls-for-sctp document. 
> This is particularly needed if TLS is mandatory, but DTLS isn't (see 
> earlier comment).

I think there is a WG consensus (correct me if I'm wrong) here as 
mentioned in my above comments:
- use of TLS is optional for GIST/SCTP (when no PR-SCTP is supported)
- implementation of DTLS is mandatory and the use is optional for a 
GIST/SCTP implementation.
> 
> In the IANA considerations it might be useful to provide the actual 
> table entries for IANA to just drop in - comparing to the ones in the 
> GIST draft, the ones there are a bit wordier than just "Forwards-SCTP".

Right. Will address.
> 
> Typo:
> section 3.4: "repeatet" -> "repeated"
Noted.

Thanks for your feedbacks again!

Cheers,
Xiaoming
> 
> best regards,
> 
> Andrew
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis

Date: Mon, 16 Feb 2009 11:27:09 +0100
From: Xiaoming Fu <[email-masked]>
Organization: University of Goettingen, Germany
To: Lauri J T Liuhto <[email-masked]>
Cc: [email-masked]
Subject: Re: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt

Hi Lauri,
Thanks for your very helpful comments, my response below:
Lauri J T Liuhto wrote:
> On Mon, 26 Jan 2009, Martin Stiemerling wrote:
>> Dear all,
>> We start the WGLC on 
>>        draft-ietf-nsis-ntlp-sctp-05.txt
> 
>  Hi,
> 
>  I've read the draft, and found no big issues. 
> 
>  - Introduction, page 3, paragraph 3: Typo 'Furturemore'
Thanks - noted.
>  - 3.1.2, page 4 "SCD" seems to refer to Stack Configuration Data of
>    GIST spec, but no such abbreviation is given earlier. I think that
>    a short bullet could be created into chapter 2.
Will do
>  - Reference to the GIST spec is for an old version
Will correct.
>  - Just like Andrew already said, I also would like to see the API
>    functions as given in GIST spec
Yes - will adjust
>  
>  I also second Andrew, the definition of use of DTLS for GIST seems
>  weak. Specifically, the protocol definition for Forwards-DTLS is
>  missing. I feel that the short text in Security Considerations
>  chapter is not enough.
Thanks - will do!
Xiaoming
>  
>  Best Regards,
>  Lauri
> 

From: "Georgios Karagiannis" <[email-masked]>
To: "'Martin Stiemerling'" <[email-masked]>, <[email-masked]>
Date: Mon, 16 Feb 2009 11:39:27 +0100
Subject: Re: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt

Hi all

I have read the draft-ietf-nsis-ntlp-sctp-05.txt.

Considering that all comments that were addressed until now will be solved, 
I would like that this draft should move forward!

Best regards,
Georgios

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Martin Stiemerling
> Sent: maandag 16 februari 2009 10:07
> To: [email-masked]
> Subject: Re: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt
> 
> A friendly reminder to get your review done :)
> 
> For the authors: Please address the raised issues.
> 
>  Martin
> 
> [email-masked]
> 
> NEC Laboratories Europe - Network Research Division NEC 
> Europe Limited | Registered Office: NEC House, 1 Victoria 
> Road, London W3 6BL | Registered in England 2832014 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> > Of Martin Stiemerling
> > Sent: Monday, January 26, 2009 3:00 PM
> > To: [email-masked]
> > Subject: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt
> > 
> > Dear all,
> > 
> > We start the WGLC on
> > 
> >        draft-ietf-nsis-ntlp-sctp-05.txt  General Internet Signaling 
> > Transport (GIST) over SCTP.
> > 
> > The WGLC will run for three weeks to get time for all WG 
> members to do 
> > a review of the draft.
> > 
> > The draft is here:
> > http://www.ietf.org/internet-drafts/draft-ietf-nsis-ntlp-sctp-05.txt
> > 
> > The WGLC will end Feb 16th 10am CET.
> > 
> >   Martin
> > 
> > [email-masked]
> > 
> > NEC Laboratories Europe - Network Research Division NEC 
> Europe Limited 
> > | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | 
> > Registered in England 2832014
> > 
> > _______________________________________________
> > nsis mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nsis
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
> 

Date: Mon, 16 Feb 2009 13:32:16 +0100
From: Magnus Westerlund <[email-masked]>
To: Roland Bless <[email-masked]>
Cc: [email-masked]
Subject: Re: [NSIS] Status of the WG (January 2009)

Hi Roland,

I hope we don't need to have much discussion about this due to that we
will get the document approved anyway.

Cheers

Magnus

Roland Bless skrev:
> Hi Magnus,
> 
> Magnus Westerlund wrote:
>> Actually I don't understand Chris and Lisa's abstain position as I think
>> the document is no longer than many other base specifications nor that
>> the quality is lacking. But they haven't been swayed by any discussion
>> either.
> 
> I don't understand Lisa's comment:
> "I do not feel it has the quality we expect on the standards track."
> 
> Could she back up this a little bit further? This is a rather generic
> but strong statement. One could turn any specific criticism
> probably even into a constructive one, but this is a little coarse.
> 
> What about the IETF credo "running code"?
> The doc is fine enough to get more than a hands full of interoperable
> implementations (which is required not until going to draft standard
> BTW). In the past there were also comments that it's too complex to
> implement, but the available implementations should be proof enough
> that this really isn't the case.
> IMHO the GIST spec is well written, understandable and has a consistent
> protocol definition, which isn't weird or flawed. Any path-coupled
> signaling protocol will have to do very similar things and currently
> I don't see a better way how to do it. Furthermore, all NAT stuff
> makes things worse, which wasn't even considered for RSVP.
> We are now in the 8th year, guys. Let's get this thing off the table...
> 
> Regards,
>  Roland
> 

-- 

Magnus Westerlund

IETF Transport Area Director & TSVWG Chair
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

Date: Tue, 17 Feb 2009 10:37:06 +0100
From: Roland Bless <[email-masked]>
Organization: Institute of Telematics, University of Karlsruhe
To: Martin Stiemerling <[email-masked]>
Cc: [email-masked]
Subject: Re: [NSIS] Starting WGLC on draft-ietf-nsis-ntlp-sctp-05.txt

Hi Martin and all,

Martin Stiemerling wrote:
>        draft-ietf-nsis-ntlp-sctp-05.txt
>  General Internet Signaling Transport (GIST) over SCTP. 
> 
> The WGLC will run for three weeks to get time for all WG members to do a review of the draft.
> 
> The draft is here:
> http://www.ietf.org/internet-drafts/draft-ietf-nsis-ntlp-sctp-05.txt
> 
> The WGLC will end Feb 16th 10am CET. 

Finally I've managed to read the draft, but I'm one day too late with my
comments (sorry!). Nevertheless, here they are:

Section 1:
*  In the introduction:
   - not clear whether one should also mention
     the advantage of message-oriented transport by SCTP instead of
     using the byte stream oriented TCP where one must provide its own
     framing mechanisms.
   - not clear at the end of the 2nd paragraph whether DTLS over SCTP
     is also in scope of the draft or not.
*  typo s/extention/extension
*  PR-SCTP seems to be contradicting to the C-mode (reliable) transport
   requirements of GIST at first. This must be clarified.
Section 2:
SCTP Association: it could be mentioned in parentheses that the
transport addresses also contain the port number (same remark
as in RFC 4960) or that for an SCTP endpoint the following holds:
      All transport addresses used by an SCTP endpoint must use the same
      port number, but can use multiple IP addresses.  A transport
      address used by an SCTP endpoint must not be used by another SCTP
      endpoint.  In other words, a transport address is unique to an
      SCTP endpoint.

Section 3.1.1:
TLS as protocol specifier is not useful alone. It can only be specified
together with another protocol, e.g., Forwards-TCP+TLS.

Section 3.1.2:
"The destination information MUST..." it is not very clear which
destination information is meant, should be clarified that the
destination for establishing the SCTP association is meant here
(or SCTP endpoint destination).

Section 3.3.:
It should be clarified under which circumstances the reliability
requirements for GIST C-mode messages are still met when PR-SCTP
is used. As far as I understood, the "timed reliability"
service is only one potential/special use case of PR-SCTP.

Section 5.1:
To me it makes sense for the path-coupled MRI to limit the available
SCTP transport addresses to exactly the one from the NLI, so that
only this IP address is used for establishing the SCTP association.
This should also be mentioned in Section 3.1.2.

Section 6:
"For securing _a_ GIST over SCTP channel"
A little bit too short to discuss DTLS over SCTP. Forwards-DTLS
should be mentioned and motivated and why TLS+SCTP would be different.
It is not clear to me whether DTLS over SCTP is still "reliable".
DTLS would qualify as being secure but not reliable (GIST would require
to establish an MA for this, but I guess it also implies C-mode =>
reliability?).

And finally:
What about NAT traversal issues with SCTP? IMHO there should be a short
section on discussing this. Can one simply use the NAT traversal object
of GIST etc.? Is there anything special?

Regards,
 Roland

Date: Wed, 18 Feb 2009 18:41:41 +0900
From: Takako Sanda <[email-masked]>
To: "Martin Stiemerling" <[email-masked]>, [email-masked]
Subject: Re: [NSIS] Status of the WG (January 2009)

Dear Martin and all,

Sorry to be late.

As for 'Applicability Statement of NSIS Protocols in Mobile Environments',
only remaining part is "NAT/FW NSLP". In order to finish the draft, text
proposals for Chapter 4 (after section 4.2. "QoS NSLP") from responsible
people will be necessary :-)

BR,
Takako

On Mon, 26 Jan 2009 14:56:13 +0100
"Martin Stiemerling" <[email-masked]> wrote:

> Dear all,
> 
> Just some general information where we are right now with our milestones.
> 
> We have submitted these drafts to our AD/IESG:
> - GIST
> - QoS NSLP
> - NATFW NSLP
> - Y.1541
> - QSPEC
> 
> These milestones are still open
> Sep 2008	  	Submit 'Applicability Statement of NSIS Protocols in Mobile Environments' to the IESG as an Informational RFC
> Sep 2008	  	Submit 'RMD-QOSM - The Resource Management in Diffserv QOS Model' to the IESG for publication as an Informational RFC
> Nov 2008	  	Submit 'GIST State Machine' to the IESG for publication as an Informational RFC
> Nov 2008	  	Submit 'NSIS Operation Over IP Tunnels' to the IESG for publication as an Informational RFC
> Dec 2008	  	Submit 'NSIS Extensibility Model' to the IESG for publication as an Informational RFC
> 
> and the  GIST over SCTP draft.
> 
> We need to finish those documents better sooner than later!
> 
> 
>   Martin
> 
> [email-masked]
> 
> NEC Laboratories Europe - Network Research Division
> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis

Date: Fri, 20 Feb 2009 14:02:08 +0200 (EET)
From: Jukka MJ Manner <[email-masked]>
To: NSIS Working Group <[email-masked]>
Subject: Re: [NSIS] Getting started on NSIS extensibilty draft

Dear all,

We would really need feedback to this draft to finalize it. I would like 
to issue a WGLC very soon, thus, one round of comments would be good to 
have before that.

Alternatively, we can also issue a WGLC now, and discuss the comments in 
SF. Still, I'd rather see one round of comments before a WGLC.

Regards,
Jukka

On Wed, 4 Feb 2009, Elwyn Davies wrote:

> Hi, Magnus.
> 
> At the last IETF you offered to provide me some guidance on the way
> forward with this document.
> 
> Since as I understand it, the IESG wants to see this document at the
> same time as GIST this is urgent.
> 
> The only suggestion I have stemming from comments at the meeting is to
> 'separate the rules and guidelines.'
> 
> Any input gratefully received.
> In the meantime I will try to make a 'null' update just to change the
> title.
> 
> Regards,
> Elwyn
> 
> Martin Stiemerling wrote:
> > The new file name should basically read this way (copy'n'paste error):
> > draft-ietf-nsis-ext-00.txt.
> >
> > Thanks to Hannes for pointing this
> >
> >  Martin
> >
> > [email-masked]
> >
> > NEC Laboratories Europe - Network Research Division
> > NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 
> >
> >   
> >> -----Original Message-----
> >> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> >> Martin Stiemerling
> >> Sent: Monday, January 26, 2009 3:05 PM
> >> To: [email-masked]
> >> Subject: [NSIS] Getting started on NSIS extensibilty draft
> >>
> >> Dear all,
> >>
> >> We have a draft to be completed urgently :)
> >>
> >> Using and Extending the NSIS Protocol Family
> >> draft-nsis-ext-02.txt
> >>
> >> http://tools.ietf.org/html/draft-nsis-ext-02
> >>
> >>
> >> First thing to do is changing the file name to draft-ietf-nsis-ext-
> >> 02.txt.
> >>
> >> Please review it and send your comments.
> >>
> >>  Martin
> >>
> >>
> >> [email-masked]
> >>
> >> NEC Laboratories Europe - Network Research Division
> >> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
> >> London W3 6BL | Registered in England 2832014
> >>
> >> _______________________________________________
> >> nsis mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/nsis
> >>     
> > _______________________________________________
> > nsis mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nsis
> >
> >   
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
> 

Date: Fri, 20 Feb 2009 12:25:58 +0000
From: Elwyn Davies <[email-masked]>
To: Jukka MJ Manner <[email-masked]>
Cc: NSIS Working Group <[email-masked]>
Subject: Re: [NSIS] Getting started on NSIS extensibilty draft

Hi.

Just for the record, I am unlikely to be still in Sf on Friday and am 
considering skipping the IETf meeting as such altogther (I will be at 
the DTNRG meeting the previous week and probably in the DTNRG session on 
Friday, but I can't really justify the registration fee for the little I 
am doing in IETf at the moment (plus the very expensive hotel!)

I looked back at the doc and my feeling is that it is fairly clear what 
is rules and what is guidelines already, but I could do a bit more 
separation..  I'd like a bit of help and (detailed) comments please.

I am almost inclined to suggest going with wglc now.

Regards,
Elwyn

Jukka MJ Manner wrote:
> Dear all,
>
> We would really need feedback to this draft to finalize it. I would like 
> to issue a WGLC very soon, thus, one round of comments would be good to 
> have before that.
>
> Alternatively, we can also issue a WGLC now, and discuss the comments in 
> SF. Still, I'd rather see one round of comments before a WGLC.
>
> Regards,
> Jukka
>
> On Wed, 4 Feb 2009, Elwyn Davies wrote:
>
>   
>> Hi, Magnus.
>>
>> At the last IETF you offered to provide me some guidance on the way
>> forward with this document.
>>
>> Since as I understand it, the IESG wants to see this document at the
>> same time as GIST this is urgent.
>>
>> The only suggestion I have stemming from comments at the meeting is to
>> 'separate the rules and guidelines.'
>>
>> Any input gratefully received.
>> In the meantime I will try to make a 'null' update just to change the
>> title.
>>
>> Regards,
>> Elwyn
>>
>> Martin Stiemerling wrote:
>>     
>>> The new file name should basically read this way (copy'n'paste error):
>>> draft-ietf-nsis-ext-00.txt.
>>>
>>> Thanks to Hannes for pointing this
>>>
>>>  Martin
>>>
>>> [email-masked]
>>>
>>> NEC Laboratories Europe - Network Research Division
>>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 
>>>
>>>   
>>>       
>>>> -----Original Message-----
>>>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>>>> Martin Stiemerling
>>>> Sent: Monday, January 26, 2009 3:05 PM
>>>> To: [email-masked]
>>>> Subject: [NSIS] Getting started on NSIS extensibilty draft
>>>>
>>>> Dear all,
>>>>
>>>> We have a draft to be completed urgently :)
>>>>
>>>> Using and Extending the NSIS Protocol Family
>>>> draft-nsis-ext-02.txt
>>>>
>>>> http://tools.ietf.org/html/draft-nsis-ext-02
>>>>
>>>>
>>>> First thing to do is changing the file name to draft-ietf-nsis-ext-
>>>> 02.txt.
>>>>
>>>> Please review it and send your comments.
>>>>
>>>>  Martin
>>>>
>>>>
>>>> [email-masked]
>>>>
>>>> NEC Laboratories Europe - Network Research Division
>>>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
>>>> London W3 6BL | Registered in England 2832014
>>>>
>>>> _______________________________________________
>>>> nsis mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/nsis
>>>>     
>>>>         
>>> _______________________________________________
>>> nsis mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/nsis
>>>
>>>   
>>>       
>> _______________________________________________
>> nsis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nsis
>>
>>     
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
>   

Date: Fri, 20 Feb 2009 12:44:38 +0000
From: Elwyn Davies <[email-masked]>
To: Jukka MJ Manner <[email-masked]>
Cc: NSIS Working Group <[email-masked]>
Subject: Re: [NSIS] Getting started on NSIS extensibilty draft (corrected)

Hi.

Just for the record, I am unlikely to be still in Sf on Friday and am
considering skipping the IETf meeting as such altogther (I will be at
the DTNRG meeting the previous week and probably in the DTNRG session on
Tuesday (not Friday as my addled brain said previously), but I can't 
really justify the registration fee for the little I
am doing in IETf at the moment (plus the very expensive hotel!)

I looked back at the doc and my feeling is that it is fairly clear what
is rules and what is guidelines already, but I could do a bit more
separation..  I'd like a bit of help and (detailed) comments please.

I am almost inclined to suggest going with wglc now.

Regards,
Elwyn

Jukka MJ Manner wrote:
> Dear all,
>
> We would really need feedback to this draft to finalize it. I would like 
> to issue a WGLC very soon, thus, one round of comments would be good to 
> have before that.
>
> Alternatively, we can also issue a WGLC now, and discuss the comments in 
> SF. Still, I'd rather see one round of comments before a WGLC.
>
> Regards,
> Jukka
>
> On Wed, 4 Feb 2009, Elwyn Davies wrote:
>
>   
>> Hi, Magnus.
>>
>> At the last IETF you offered to provide me some guidance on the way
>> forward with this document.
>>
>> Since as I understand it, the IESG wants to see this document at the
>> same time as GIST this is urgent.
>>
>> The only suggestion I have stemming from comments at the meeting is to
>> 'separate the rules and guidelines.'
>>
>> Any input gratefully received.
>> In the meantime I will try to make a 'null' update just to change the
>> title.
>>
>> Regards,
>> Elwyn
>>
>> Martin Stiemerling wrote:
>>     
>>> The new file name should basically read this way (copy'n'paste error):
>>> draft-ietf-nsis-ext-00.txt.
>>>
>>> Thanks to Hannes for pointing this
>>>
>>>  Martin
>>>
>>> [email-masked]
>>>
>>> NEC Laboratories Europe - Network Research Division
>>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 
>>>
>>>   
>>>       
>>>> -----Original Message-----
>>>> From: [email-masked] [mailto:[email-masked]] On Behalf Of
>>>> Martin Stiemerling
>>>> Sent: Monday, January 26, 2009 3:05 PM
>>>> To: [email-masked]
>>>> Subject: [NSIS] Getting started on NSIS extensibilty draft
>>>>
>>>> Dear all,
>>>>
>>>> We have a draft to be completed urgently :)
>>>>
>>>> Using and Extending the NSIS Protocol Family
>>>> draft-nsis-ext-02.txt
>>>>
>>>> http://tools.ietf.org/html/draft-nsis-ext-02
>>>>
>>>>
>>>> First thing to do is changing the file name to draft-ietf-nsis-ext-
>>>> 02.txt.
>>>>
>>>> Please review it and send your comments.
>>>>
>>>>  Martin
>>>>
>>>>
>>>> [email-masked]
>>>>
>>>> NEC Laboratories Europe - Network Research Division
>>>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
>>>> London W3 6BL | Registered in England 2832014
>>>>
>>>> _______________________________________________
>>>> nsis mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/nsis
>>>>     
>>>>         
>>> _______________________________________________
>>> nsis mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/nsis
>>>
>>>   
>>>       
>> _______________________________________________
>> nsis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nsis
>>
>>     
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
>   

_______________________________________________
nsis mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nsis

Content-class: urn:content-classes:message
Date: Fri, 20 Feb 2009 14:12:47 +0100
From: "Martin Stiemerling" <[email-masked]>
To: <[email-masked]>
Subject: Re: [NSIS] Getting started on NSIS extensibilty draft

Hi,

We need especially fulfil the dependency of the GIST draft mentioned in =
Section 5.3.2.5.  Q-Mode Interception Extensibility of GIST.=20

The text there says:
Guidelines on defining  interception classes are given in [13].

Where [13] is the extensibility document.

   Martin=20

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, =
London W3 6BL | Registered in England 2832014=20

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf =
Of
> Jukka MJ Manner
> Sent: Friday, February 20, 2009 1:02 PM
> To: NSIS Working Group
> Subject: Re: [NSIS] Getting started on NSIS extensibilty draft
>=20
>=20
> Dear all,
>=20
> We would really need feedback to this draft to finalize it. I would
> like
> to issue a WGLC very soon, thus, one round of comments would be good =
to
> have before that.
>=20
> Alternatively, we can also issue a WGLC now, and discuss the comments
> in
> SF. Still, I'd rather see one round of comments before a WGLC.
>=20
> Regards,
> Jukka
>=20
> On Wed, 4 Feb 2009, Elwyn Davies wrote:
>=20
> > Hi, Magnus.
> >
> > At the last IETF you offered to provide me some guidance on the way
> > forward with this document.
> >
> > Since as I understand it, the IESG wants to see this document at the
> > same time as GIST this is urgent.
> >
> > The only suggestion I have stemming from comments at the meeting is
> to
> > 'separate the rules and guidelines.'
> >
> > Any input gratefully received.
> > In the meantime I will try to make a 'null' update just to change =
the
> > title.
> >
> > Regards,
> > Elwyn
> >
> > Martin Stiemerling wrote:
> > > The new file name should basically read this way (copy'n'paste
> error):
> > > draft-ietf-nsis-ext-00.txt.
> > >
> > > Thanks to Hannes for pointing this
> > >
> > >  Martin
> > >
> > > [email-masked]
> > >
> > > NEC Laboratories Europe - Network Research Division
> > > NEC Europe Limited | Registered Office: NEC House, 1 Victoria =
Road,
> London W3 6BL | Registered in England 2832014
> > >
> > >
> > >> -----Original Message-----
> > >> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of
> > >> Martin Stiemerling
> > >> Sent: Monday, January 26, 2009 3:05 PM
> > >> To: [email-masked]
> > >> Subject: [NSIS] Getting started on NSIS extensibilty draft
> > >>
> > >> Dear all,
> > >>
> > >> We have a draft to be completed urgently :)
> > >>
> > >> Using and Extending the NSIS Protocol Family
> > >> draft-nsis-ext-02.txt
> > >>
> > >> http://tools.ietf.org/html/draft-nsis-ext-02
> > >>
> > >>
> > >> First thing to do is changing the file name to draft-ietf-nsis-
> ext-
> > >> 02.txt.
> > >>
> > >> Please review it and send your comments.
> > >>
> > >>  Martin
> > >>
> > >>
> > >> [email-masked]
> > >>
> > >> NEC Laboratories Europe - Network Research Division
> > >> NEC Europe Limited | Registered Office: NEC House, 1 Victoria
> Road,
> > >> London W3 6BL | Registered in England 2832014
> > >>
> > >> _______________________________________________
> > >> nsis mailing list
> > >> [email-masked]
> > >> https://www.ietf.org/mailman/listinfo/nsis
> > >>
> > > _______________________________________________
> > > nsis mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/nsis
> > >
> > >
> > _______________________________________________
> > nsis mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nsis
> >
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis

From: "Georgios Karagiannis" <[email-masked]>
To: "'Jukka MJ Manner'" <[email-masked]>, "'NSIS Working Group'" <[email-masked]>
Date: Mon, 23 Feb 2009 13:05:40 +0100
Subject: Re: [NSIS] Getting started on NSIS extensibilty draft

Hi Jukka

I have read the  NSIS extensibilty draft and I think that it is good enough 
to go through a WGLC.

I will provide detailed comments during the WGLC!

Best regards,
Georgios

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jukka MJ Manner
> Sent: vrijdag 20 februari 2009 13:02
> To: NSIS Working Group
> Subject: Re: [NSIS] Getting started on NSIS extensibilty draft
> 
> 
> Dear all,
> 
> We would really need feedback to this draft to finalize it. I 
> would like to issue a WGLC very soon, thus, one round of 
> comments would be good to have before that.
> 
> Alternatively, we can also issue a WGLC now, and discuss the 
> comments in SF. Still, I'd rather see one round of comments 
> before a WGLC.
> 
> Regards,
> Jukka
> 
> On Wed, 4 Feb 2009, Elwyn Davies wrote:
> 
> > Hi, Magnus.
> > 
> > At the last IETF you offered to provide me some guidance on the way 
> > forward with this document.
> > 
> > Since as I understand it, the IESG wants to see this 
> document at the 
> > same time as GIST this is urgent.
> > 
> > The only suggestion I have stemming from comments at the 
> meeting is to 
> > 'separate the rules and guidelines.'
> > 
> > Any input gratefully received.
> > In the meantime I will try to make a 'null' update just to 
> change the 
> > title.
> > 
> > Regards,
> > Elwyn
> > 
> > Martin Stiemerling wrote:
> > > The new file name should basically read this way 
> (copy'n'paste error):
> > > draft-ietf-nsis-ext-00.txt.
> > >
> > > Thanks to Hannes for pointing this
> > >
> > >  Martin
> > >
> > > [email-masked]
> > >
> > > NEC Laboratories Europe - Network Research Division NEC Europe 
> > > Limited | Registered Office: NEC House, 1 Victoria Road, 
> London W3 
> > > 6BL | Registered in England 2832014
> > >
> > >   
> > >> -----Original Message-----
> > >> From: [email-masked] [mailto:[email-masked]] On 
> > >> Behalf Of Martin Stiemerling
> > >> Sent: Monday, January 26, 2009 3:05 PM
> > >> To: [email-masked]
> > >> Subject: [NSIS] Getting started on NSIS extensibilty draft
> > >>
> > >> Dear all,
> > >>
> > >> We have a draft to be completed urgently :)
> > >>
> > >> Using and Extending the NSIS Protocol Family 
> draft-nsis-ext-02.txt
> > >>
> > >> http://tools.ietf.org/html/draft-nsis-ext-02
> > >>
> > >>
> > >> First thing to do is changing the file name to 
> draft-ietf-nsis-ext- 
> > >> 02.txt.
> > >>
> > >> Please review it and send your comments.
> > >>
> > >>  Martin
> > >>
> > >>
> > >> [email-masked]
> > >>
> > >> NEC Laboratories Europe - Network Research Division NEC Europe 
> > >> Limited | Registered Office: NEC House, 1 Victoria Road, 
> London W3 
> > >> 6BL | Registered in England 2832014
> > >>
> > >> _______________________________________________
> > >> nsis mailing list
> > >> [email-masked]
> > >> https://www.ietf.org/mailman/listinfo/nsis
> > >>     
> > > _______________________________________________
> > > nsis mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/nsis
> > >
> > >   
> > _______________________________________________
> > nsis mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nsis
> > 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
> 

From: "Hannes Tschofenig" <[email-masked]>
To: "'Georgios Karagiannis'" <[email-masked]>, "'Jukka MJ Manner'" <[email-masked]>, "'NSIS Working Group'" <[email-masked]>
Date: Mon, 23 Feb 2009 23:22:33 +0200
Subject: Re: [NSIS] Getting started on NSIS extensibilty draft

Hi all, 

I also read the document and it looks pretty good. Easy to read and
understand. 

Only a few minor comments: 

"
   The SID is not meaningful by itself, but is rather used together with
   the NSLP identifier (NSLPID) and the Message Routing Information
   (MRI).  This 3-tuple is used by GIST to index and manage the
   signaling flows.
"

In a previous paragraph you say that the SID is used for mobility because no
IP address is used. I believe this has to be clarified how this statement
and the other one from the previous paragraph fits together. 

"
   o  Path-coupled signaling only: GIST transports messages towards an
      identified unicast data flow destination based on the signaling
      application request, and does not directly support path-decoupled
      signaling, e.g., QoS signaling to a bandwidth broker.  The
      framework also supports a "Loose-End" message routing method used
      to discover GIST nodes with particular properties in the direction
      of a given address, for example the NAT/FW NSLP uses this method
      to discover a NAT along the upstream data path.
"

I would say "Current MRM focus on Path-coupled Signaling". 

"
No support for QoS architectures based on bandwidth
   brokers is currently included.
"

You might need a reference here. Not everyone might be aware of what a
bandwidth broker actually is. 

Section 8, extending the protocols. Section 8.1 is too generic and RFC 2119
language is not useful in this document. I would replace this section with
more details on how GIST, the NATFW NSLP and the QoS NSLP are extended.

Btw, this document cannot be completed before the normative references
become RFCs. 

Ciao
Hannes

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of Georgios Karagiannis
>Sent: 23 February, 2009 14:06
>To: 'Jukka MJ Manner'; 'NSIS Working Group'
>Subject: Re: [NSIS] Getting started on NSIS extensibilty draft
>
>Hi Jukka
>
>I have read the  NSIS extensibilty draft and I think that it 
>is good enough to go through a WGLC.
>
>I will provide detailed comments during the WGLC!
>
>Best regards,
>Georgios
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf 
>> Of Jukka MJ Manner
>> Sent: vrijdag 20 februari 2009 13:02
>> To: NSIS Working Group
>> Subject: Re: [NSIS] Getting started on NSIS extensibilty draft
>> 
>> 
>> Dear all,
>> 
>> We would really need feedback to this draft to finalize it. I would 
>> like to issue a WGLC very soon, thus, one round of comments would be 
>> good to have before that.
>> 
>> Alternatively, we can also issue a WGLC now, and discuss the 
>comments 
>> in SF. Still, I'd rather see one round of comments before a WGLC.
>> 
>> Regards,
>> Jukka
>> 
>> On Wed, 4 Feb 2009, Elwyn Davies wrote:
>> 
>> > Hi, Magnus.
>> > 
>> > At the last IETF you offered to provide me some guidance 
>on the way 
>> > forward with this document.
>> > 
>> > Since as I understand it, the IESG wants to see this
>> document at the
>> > same time as GIST this is urgent.
>> > 
>> > The only suggestion I have stemming from comments at the
>> meeting is to
>> > 'separate the rules and guidelines.'
>> > 
>> > Any input gratefully received.
>> > In the meantime I will try to make a 'null' update just to
>> change the
>> > title.
>> > 
>> > Regards,
>> > Elwyn
>> > 
>> > Martin Stiemerling wrote:
>> > > The new file name should basically read this way
>> (copy'n'paste error):
>> > > draft-ietf-nsis-ext-00.txt.
>> > >
>> > > Thanks to Hannes for pointing this
>> > >
>> > >  Martin
>> > >
>> > > [email-masked]
>> > >
>> > > NEC Laboratories Europe - Network Research Division NEC Europe 
>> > > Limited | Registered Office: NEC House, 1 Victoria Road,
>> London W3
>> > > 6BL | Registered in England 2832014
>> > >
>> > >   
>> > >> -----Original Message-----
>> > >> From: [email-masked] [mailto:[email-masked]] On 
>> > >> Behalf Of Martin Stiemerling
>> > >> Sent: Monday, January 26, 2009 3:05 PM
>> > >> To: [email-masked]
>> > >> Subject: [NSIS] Getting started on NSIS extensibilty draft
>> > >>
>> > >> Dear all,
>> > >>
>> > >> We have a draft to be completed urgently :)
>> > >>
>> > >> Using and Extending the NSIS Protocol Family
>> draft-nsis-ext-02.txt
>> > >>
>> > >> http://tools.ietf.org/html/draft-nsis-ext-02
>> > >>
>> > >>
>> > >> First thing to do is changing the file name to
>> draft-ietf-nsis-ext-
>> > >> 02.txt.
>> > >>
>> > >> Please review it and send your comments.
>> > >>
>> > >>  Martin
>> > >>
>> > >>
>> > >> [email-masked]
>> > >>
>> > >> NEC Laboratories Europe - Network Research Division NEC Europe 
>> > >> Limited | Registered Office: NEC House, 1 Victoria Road,
>> London W3
>> > >> 6BL | Registered in England 2832014
>> > >>
>> > >> _______________________________________________
>> > >> nsis mailing list
>> > >> [email-masked]
>> > >> https://www.ietf.org/mailman/listinfo/nsis
>> > >>     
>> > > _______________________________________________
>> > > nsis mailing list
>> > > [email-masked]
>> > > https://www.ietf.org/mailman/listinfo/nsis
>> > >
>> > >   
>> > _______________________________________________
>> > nsis mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/nsis
>> > 
>> _______________________________________________
>> nsis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nsis
>> 
>
>
>_______________________________________________
>nsis mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/nsis
>